Get
/api/conversation/v1/conversations/{uuid}/messages
Get all events and messages of conversation
Path parameters
uuid
stringRequired
The conversation (interaction) uuid
Query parameters
offset
integer
The number of items to skip before starting to collect the result set
limit
integer
The number of items in the result set
Responses
200
Successful response
object
messages
Array of object (message)
object
id
string
Example51c14364-952b-43de-a9d0-d9f30bafc926
conversation_id
string
Example70e8de7f-3d98-4af0-9315-9d2dff75745d
content_type
string | null
Valid values[
"text",
"image",
"document",
"video",
"voice",
"audio",
"template",
null
]
Exampletext
content_data
object
text
string
ExampleWelcome to Voiso
activity
string
Valid values[
"message",
"event"
]
Examplemessage
activity_type
string
Valid values[
"inbound",
"outbound",
"whisper",
"accept",
"forward_to_queue",
"accept_forwarding",
"intercept",
"archive",
"terminate",
"disconnect",
"start_monitoring",
"stop_monitoring",
"start_whispering",
"stop_whispering",
"start_barging_in",
"stop_barging_in",
"business_initiated_wait",
"force_close"
]
Exampleinbound
participant
object
id
integer
Example77572
type
string
Valid values[
"agent",
"supervisor",
"contact"
]
Examplecontact
attributes
object
status
string | null
Valid values[
"initial",
"accepted",
"waiting",
"ready",
"sent",
"delivered",
"seen",
"deleted",
"failed",
null
]
Exampleseen
updated_at
string
Example2023-09-12T11:29:38.642Z”
created_at
string
Example2023-09-12T11:29:38.000Z
metadata
object (offset_based_pagination_metadata)
limit
integer
The number of results
Example25
offset
integer
The number of records that need to be skipped
Example0
total
integer
The total count of items
Example10
401
Invalid API key
object
error
string
ExampleThe API key specified is invalid
403
No access to API
object
error
string
ExampleForbidden
404
Conversation not found
object
error
string
ExampleNot found
424
Specified parameters are not valid
object
errors
object
limit
Array of string
string
Examplemust be greater than 0